apt-listbugs apt gibt Fehlercode zurück

02/06/2016 - 19:00 von Manfred Gil | Report spam
Hallo Liste,

Nach einer Kompletten Neuinstallation und teilweises Einspielen des
Backup in /etc habe ich die oben genannte Fehlermeldung.

Ich habe schon diverse versuche unternommen die Fehlermeldung bezüglich
apt-listbugs zu beheben, doch alles nützte nix.

Kennt jemand eine Lösung oder einen Ansatz um die abfrage von Listbugs
zu Deaktivieren.


Folgendes habe ich schon Probiert, jedoch ohne Erfolg.

###

apt-get -f install

root@debian-Jessie:/home/manfred# apt-get -f install Paketlisten werden
gelesen... Fertig Abhàngigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen Fertig Abhàngigkeiten werden
korrigiert ... Fertig Die folgenden zusàtzlichen Pakete werden
installiert:
ruby-locale ruby-text
Die folgenden NEUEN Pakete werden installiert:
ruby-locale ruby-text
0 aktualisiert, 2 neu installiert, 0 zu entfernen und 42 nicht
aktualisiert.
2 nicht vollstàndig installiert oder entfernt.
Es müssen noch 0 B von 102 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 326 kB Plattenplatz zusàtzlich benutzt.
Möchten Sie fortfahren? [J/n] j
/usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require':
cannot load such file -- locale (LoadError)
from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
`require'
from /usr/lib/ruby/vendor_ruby/gettext.rb:16:in `<top (required)>'
from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
`require'
from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
`require'
from /usr/sbin/apt-listbugs:320:in `<main>'
E: Unterprozess /usr/sbin/apt-listbugs apt hat Fehlercode zurückgegeben
(1)
E: Failure running script /usr/sbin/apt-listbugs apt
root@debian-Jessie:/home/manfred#

####

dpkg --configure -a

root@debian-Jessie:/home/manfred# dpkg --configure -a dpkg:
Abhàngigkeitsprobleme verhindern Konfiguration von ruby-gettext:
ruby-gettext hàngt ab von ruby-locale (>= 2.0.5); aber:
Paket ruby-locale ist nicht installiert.
ruby-gettext hàngt ab von ruby-text; aber:
Paket ruby-text ist nicht installiert.

dpkg: Fehler beim Bearbeiten des Paketes ruby-gettext (--configure):
Abhàngigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhàngigkeitsprobleme verhindern Konfiguration von apt-listbugs:
apt-listbugs hàngt ab von ruby-gettext (>= 3.0.2); aber:
Paket ruby-gettext ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes apt-listbugs (--configure):
Abhàngigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
ruby-gettext apt-listbugs

###

apt-get upgrade

root@debian-Jessie:/home/manfred# apt-get upgrade Paketlisten werden
gelesen... Fertig Abhàngigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen Fertig Probieren Sie »apt-get -f
install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhàngigkeiten:
ruby-gettext : Hàngt ab von: ruby-locale (>= 2.0.5) ist aber nicht
installiert
Hàngt ab von: ruby-text ist aber nicht installiert
E: Unerfüllte Abhàngigkeiten. Versuchen Sie, -f zu benutzen.

###

apt-get --reinstall install apt-listbugs

root@debian-Jessie:/home/manfred# apt-get --reinstall install apt-listbugs
Paketlisten werden gelesen... Fertig Abhàngigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen Fertig Probieren Sie »apt-get -f
install«, um dies zu korrigieren:
Die folgenden Pakete haben unerfüllte Abhàngigkeiten:
ruby-gettext : Hàngt ab von: ruby-locale (>= 2.0.5) soll aber nicht
installiert werden
Hàngt ab von: ruby-text soll aber nicht installiert werden
E: Unerfüllte Abhàngigkeiten. Versuchen Sie »apt-get -f install« ohne
Angabe eines Pakets (oder geben Sie eine Lösung an).
root@debian-Jessie:/home/manfred#

###

root@debian-Jessie:/home/manfred# apt-get install ruby-gettext ruby-
locale ruby-text Paketlisten werden gelesen... Fertig Abhàngigkeitsbaum
wird aufgebaut.
Statusinformationen werden eingelesen Fertig ruby-gettext ist schon
die neueste Version.
Die folgenden NEUEN Pakete werden installiert:
ruby-locale ruby-text
0 aktualisiert, 2 neu installiert, 0 zu entfernen und 42 nicht
aktualisiert.
2 nicht vollstàndig installiert oder entfernt.
Es müssen noch 0 B von 102 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 326 kB Plattenplatz zusàtzlich benutzt.
Möchten Sie fortfahren? [J/n] j
/usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require':
cannot load such file -- locale (LoadError)
from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
`require'
from /usr/lib/ruby/vendor_ruby/gettext.rb:16:in `<top (required)>'
from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
`require'
from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
`require'
from /usr/sbin/apt-listbugs:320:in `<main>'
E: Unterprozess /usr/sbin/apt-listbugs apt hat Fehlercode zurückgegeben
(1)
E: Failure running script /usr/sbin/apt-listbugs apt
root@debian-Jessie:/home/manfred#


Folgendes System habe ich:
Debian 8.4 (Jessie)
Kernel Linux 3.16.0-4-and64
Mate 1.8.1

Gruß Manfred
 

Lesen sie die antworten

#1 Uwe Kerstan
02/06/2016 - 19:40 | Warnen spam

Am Donnerstag 02 Juni 2016, 18:29:33 schrieb Manfred Gil:

Kennt jemand eine Lösung oder einen Ansatz um die abfrage von Listbugs
zu Deaktivieren.



Den Check in /etc/apt/apt.conf.d/10apt-listbugs deaktivieren?

GruàŸ Uwe


Ähnliche fragen